#### Previous topic

scipy.stats.mstats.ttest_ind

#### Next topic

scipy.stats.mstats.tvar

# scipy.stats.mstats.ttest_rel

`scipy.stats.mstats.``ttest_rel`(a, b, axis=0)

  Calculates the T-test on TWO RELATED samples of scores, a and b.

  Parameters:

  a, b : array_like

  > The arrays must have the same shape.

  axis : int or None, optional

  > Axis along which to compute test. If None, compute over the whole arrays, a, and b.

  Returns:

  statistic : float or array

  > t-statistic

  pvalue : float or array

  > two-tailed p-value

  Notes

  For more details on `ttest_rel`, see stats.ttest_rel.